## org.mortbay.jaas
Interface RoleCheckPolicy

All Known Implementing Classes:
  StrictRoleCheckPolicy

public interface RoleCheckPolicy

Method Summary
`boolean` `checkRole(java.security.Principal role, java.security.Principal runAsRole, java.security.acl.Group roles)` Check if a role is either a runAsRole or in a set of roles

Method Detail

### checkRole

    public boolean checkRole(java.security.Principal role,
                             java.security.Principal runAsRole,
                             java.security.acl.Group roles)

  Check if a role is either a runAsRole or in a set of roles

  Parameters:
    `role` - the role to check
    `runAsRole` - a pushed role (can be null)
    `roles` - a Group whose Principals are role names
  Returns:

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.